TTF_FontIsScalable(3)

NAME
TTF_FontIsScalable - Query whether a font is scalable or not.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_FontIsScalable(const TTF_Font *font);

DESCRIPTION
Scalability lets us distinguish between outline and bitmap fonts.

FUNCTION PARAMETERS

font
    the font to query.

RETURN VALUE
Returns true if the font is scalable, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.

SEE ALSO
•(3), TTF_SetFontSDF(3)